* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Manrope", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 14px;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  background: #fbfbfb;
}
ul {
  list-style: none;
}
span {
  cursor: pointer;
}
thead th {
  text-transform: uppercase;
}
.wrapper {
  flex: 1;
}

.toog {
  color: #f60;
}

.header {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1;
  top: 0;
  width: 100%;
  height: auto;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  padding: 10px;
  background-color: #fff;
}

.header ul {
  display: flex;
  align-items: center;
}
.header ul li {
  line-height: 20px;
}

.menu_mobiles {
  /* display: none; */
}

.mobile {
  display: none;
}
label #btn {
  color: #000;
  font-size: 30px;
}
label #cancel {
  color: #000;
  font-size: 30px;
  display: none;
}
#check {
  display: none;
}

.img_log {
  width: 30px;
  height: auto;
  margin-right: 5px;
}

.log_head {
  display: flex;
  align-items: center;
}

.icon_lang {
  cursor: pointer;
}

.langue,
.notif {
  position: fixed;
  display: none;
  top: 9%;
  right: 3%;
  z-index: 2;
  transition: all 0.8s ease-out;
  background-color: #fff;
}

.langue img {
  margin: 0 5px;
}

.lang {
  padding: 7px 20px;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.fa-angle-down {
  margin-right: 10px;
}
.fa-bell {
  margin: 10px;
}
.img_user {
  width: 50px;
  height: 50px;
}
.img_langue {
  width: 20px;
  height: 20px;
}

.profil {
  display: flex;
  align-items: center;
}
.role_user {
  color: gray;
  font-size: 12px;
}
/* faire un breadcrumbs */

.breadcrumbs {
  list-style: none;
  display: flex;
}
.breadcrumbs li {
  display: inline;
  font-size: 18px;
}
.breadcrumbs li + li:before {
  content: " / ";
  padding: 0 5px;
  color: #333;
}
.breadcrumbs li a {
  text-decoration: none;
  color: #1f2937;
}
.breadcrumbs li a:hover {
  text-decoration: underline;
}

/* notifiction */
.notif {
  width: 300px;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  padding-bottom: 10px;
  background-color: #fff;
}
.notif_header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  height: 50px;
  background-color: #1f2937;
  color: #fff;
  border-radius: 5px 5px 0 0;
  padding: 0 15px;
}
.notif li {
  font-size: 15px;
  color: #777d74;
  padding: 0 5px;
}
.cont_text {
  display: flex;
  align-items: center;
  padding: 5px 0;
  margin: 5px 0;
  background-color: #fbfbfb;
  border-radius: 3px;
}
.text_notif {
  margin-left: 5px;
  overflow: hidden;
  font-size: 12px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  color: #777d74;
}
/* menu */
.menu_content {
  display: flex;
  background-color: #ffffff;
}
.menu {
  position: fixed;
  width: 17%;
  background: #fff;
  min-height: 100vh;
  z-index: 2;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}
/* .menu-1 {
  background-color: #fac73c;
} */
.menu-2 {
  width: 5%;
  display: none;
  background: #fff;
}

.title_app {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 50px;
  background-color: #1f2937;
  color: #ffff;
}

.title_app p,
.title_app i {
  margin-left: 10px;
  font-size: 20px;
  line-height: 45px;
  color: #fff;
}

.content {
  margin-left: 17%;
  margin-top: 80px;
  width: 100%;
  background: #fff;
}

.menu_app ul {
  padding: 10px;
}
.menu_app ul li {
  display: flex;
  align-items: center;
  width: 100%;
  border-radius: 7px;
  cursor: pointer;
  margin-bottom: 5px;
}
.menu_app ul li:hover {
  background-color: #fac73c;
}
.menu_active {
  /* background: #e7ecee; */
  background: #1f2937;
  color: #fff;
}
.menu_app ul li p {
  /* padding-left: 5px; */
}
.icon_back {
  padding: 8px;
  border-radius: 7px;
}

.icon_back_2 {
  padding: 10px;
  border-radius: 7px;
  font-size: 20px;
}

.list_2,
.croix {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.list_2_actv {
  background: #fac73c;
  color: #fff;
}

.icon_img {
  width: 20px;
  height: 20px;
}

/* tableau */
.table-container {
  padding: 10px;
  width: 95%;
  margin: 0 auto;
  /* overflow-x: auto; */
}

.styled-table {
  border-collapse: collapse;
  margin: 5px 0;
  font-size: 15px;
  width: 100%;
  border-radius: 20px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}

.styled-table thead tr {
  background-color: #1f2937;
  color: #ffffff;
  text-align: left;
}

.styled-table th,
.styled-table td {
  padding: 12px 15px;
}

.styled-table tbody tr {
  border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(even) {
  background-color: #f3f3f3;
}

.styled-table tbody tr:last-of-type {
  /* border-bottom: 2px solid #1F2937; */
  border: 0;
}

.styled-table tbody tr:hover {
  background-color: #f1f1f1;
  cursor: pointer;
}

.icon_img_table {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

.icon_imgs {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  transition: 0.3s;
}

.icon_imgs:hover {
  width: 30px;
  height: 30px;
}

.trois_donnees {
  padding: 5px 10px;
  background-color: #fff;
}

/*  */
.grand_title {
  text-align: center;
  padding: 10px;
}

/* pour les actions sur les pages */
.modal_info {
  display: block;
  width: 100%;
  margin-top: 10px;
}

.tilte_mod {
  font-size: 1.2em;
}
.lab_name {
  color: #3f414d;
}
.selection {
  height: 45px;
  line-height: 45px;
  background: transparent;
  border: 1px solid #f1f1f1;
  font-size: 14px;
}

.selection:focus {
  border-color: #3bbfbf;
  outline: 0;
  box-shadow: 0 0 0 0.15rem#3bbfbf;
}

.btn_add,
.btn_supp,
.btn_up {
  padding: 5px 15px;
  font-size: 14px;
  border-radius: 5px;
  color: #fff;
}
.btn_add {
  background: #1c4887;
  border-color: #1c4887;
}
.btn_supp {
  background: #cb1e04;
  border-color: #cb1e04;
}

.btn_up {
  background: #0898e0;
  border-color: #0898e0;
}
.cont_imgs {
  position: relative;
  display: inline-block;
  height: 150px;
  width: 150px;
}
.cont_imgs img {
  max-width: 100%;
  display: block;
  border-radius: 50%;
  -webkit-border-radius: 50%;
}
.update_img {
  position: absolute;
  right: 40%;
  top: 130px;
  transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  border-radius: 50%;
  color: #fff;
  background-color: #1f2937;
  height: 30px;
  width: 30px;
  line-height: 28px;
  text-align: center;
  font-size: 12px;
  cursor: pointer;
}
.add_imgs {
  display: none;
}
.add_users {
  float: right;
}

/* users */
.liste_grids {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
  width: 100%;
  max-width: 1200px;
  /* margin: 0 auto; */
  padding-top: 10px;
}

.const_grid {
  display: flex;
  align-items: center;
  width: 25vw;
  border-radius: 7px;
}
.const_grid:hover {
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  border: 1px solid #1f2937;
}
.img_grids {
  height: 40px;
  width: 40px;
  margin-right: 10px;
  object-fit: cover;
  border-radius: 50%;
}

.text_role {
  color: #777d74;
  font-size: 13px;
}
.text_email {
  margin-bottom: 1rem;
  color: #000;
}
.header_part_2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.users_action {
  float: right;
}
.span_text {
  color: #1f2937;
  cursor: pointer;
}

.on {
  color: green;
}
.off {
  color: red;
}

.dropdown-menu li {
  line-height: 25px;
}

.modal_listes {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 5px;
  width: 100%;
  padding-top: 5px;
}
.modal_liste_grids {
  display: flex;
  align-items: center;
}

/* la page de login */

.connexion {
  height: 100vh;
  background: #fff;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.connexion_list {
  float: right;
}
.connexion_list li {
  float: left;
  list-style-type: none;
  position: relative;
}

.page_input {
  background-color: #fff;
  border-radius: 5px;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.connext_text {
  padding: 20px 60px;
  position: relative;
}
.formula {
  margin-bottom: 1.5rem;
}
.mdo {
  float: right;
  color: #1f2937;
}
.btn_connexion {
  text-align: center;
}

/* button active et desactiver */
.on_off {
  position: relative;
  width: 60px;
  height: 30px;
}

.on_off input {
  opacity: 0;
  width: 0;
  height: 0;
}

.mouv_on {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: red;
  transition: 0.4s;
  border-radius: 34px;
}

.mouv_on:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .mouv_on {
  background-color: green;
}

input:checked + .mouv_on:before {
  transform: translateX(36px);
}

/* style dataTble */
.dt-search {
  display: flex;
}
.dt-length label {
  display: none;
}
#dt-search-0 {
  width: 400px;
  margin-left: 10px;
}

#dt-length-0 {
  padding: 5px;
  margin: 0;
  width: 50px;
}

.title_suject {
  position: fixed;
  top: 2.5%;
  left: 20%;
  z-index: 111;
}
.titles_header {
  display: flex;
  align-items: center;
  font-size: 20px;
  text-transform: uppercase;
}
.titles_header img {
  width: 25px;
  height: 25px;
  margin-left: 10px;
}

/* users header */

.list_titles {
  margin: 5px 0;
  font-size: 15px;
  font-weight: 700;
}
.menu_user {
  display: none;
}
.menu_user li {
  padding: 5px;
}
.menu_user li img {
  width: 15px;
  height: auto;
  margin-right: 10px;
}
.users_click {
  margin-left: 100%;
}

.condition {
  height: 400px;
  overflow: auto;
}

.list_role {
  width: 400px;
  max-height: 300px;
  overflow: auto;
}

/* faq */
.faq_content {
  max-width: 100%;
  margin: 10px auto;
  padding: 20px;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.title_faq {
  text-align: center;
  color: #333;
}

.faq_element {
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}

.question h5 {
  cursor: pointer;
  position: relative;
  margin: 0;
  padding: 10px;
  background: #1f2937;
  color: #fff;
  border-radius: 5px;
  transition: background 0.3s;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.question h5:hover {
  background: #fac73c;
}

.answer {
  display: none;
  padding: 10px;
  background: #f9f9f9;
  border-radius: 5px;
  margin-top: 10px;
}

/* pour ontentieux */
.chat_content {
  width: 90%;
  min-height: 85vh;
  max-width: 100%;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin: 10px auto;
}

.chat_box {
  padding: 10px;
  overflow-y: auto;
  border-bottom: 1px solid #ddd;
  min-height: 75vh;
}

.chat_input {
  display: flex;
  padding: 10px;
  background: #f9f9f9;
}

.chat_input input {
  flex: 1;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 4px;
}

.chat_input button {
  padding: 10px 15px;
  margin-left: 10px;
  border: none;
  background: #1f2937;
  color: white;
  border-radius: 4px;
  cursor: pointer;
  float: right;
}

.chat_input button:hover {
  background: #fac73c;
}

.btn_confirm {
  margin-right: 10px;
}

.msg_admin {
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  border-radius: 7px;
  padding: 5px;
  margin-bottom: 10px;
  color: #fff;
  background-color: #1f2937;
}

.msg_utisateur {
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  border-radius: 7px;
  padding: 5px;
  margin-bottom: 10px;
}

/* pour le dashbord */

.histogrammes {
  display: flex;
  justify-content: space-between;
}
.hist {
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  background: #fff;
  overflow: hidden;
}
.histo {
  width: 98%;
  height: auto;
  margin: 10px auto;
}

.flux {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  padding: 20px;
}

.fluxs {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
  padding: 20px;
}

.soldes {
  width: 95%;
  height: 200px;
  border-radius: 10px;
  padding: 30px;
  padding-bottom: 0;
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.1);
  margin-bottom: 10px;
  /* background-image: -webkit-linear-gradient(90deg, #1f2937 0%, #FAC73C); */
  background-color: #1f2937;
}
.soldes a {
  color: #fff;
}
.nombre_dash {
  font-weight: 700;
  font-size: 4rem;
}

/* .soldes_4 {
  background-image: -webkit-linear-gradient(90deg, #3a7bd5  0%, #00d2ff 100%);
}

.soldes_2 {
  background-image: -webkit-linear-gradient(90deg,#f60 0%, #f7f305 );
}

.soldes_3 {
  background-image: -webkit-linear-gradient(90deg, #1cd8d2 0%, #93edc7);
}

.soldes_1 {
  background-image: -webkit-linear-gradient(90deg,  #1F2937 0%, #96f972aa);
} */

.texts {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.texts img {
  width: 30px;
  height: auto;
}

.texts p {
  font-weight: 300;
  color: #fff;
  line-height: 1;
  margin-left: 10px;
}

.histos {
  display: flex;
  align-items: center;
  margin: 10px;
}

.histog {
  width: 100%;
  height: 354px;
  background: #25c009b9;
  padding: 10px;
  color: #fff;
  border-radius: 8px;
}

.libertes {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 50px auto;
}

.liberte span {
  font-weight: 700;
  font-size: 50px;
}

.liberte p {
  font-size: 20px;
}

/* table pour les modal */

.table_mod {
  border-collapse: collapse;
  font-size: 0.9em;
  font-family: sans-serif;
  min-width: 100%;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}

.table_mod thead tr {
  color: #ffffff;
  text-align: left;
}

.table_mod tbody tr {
  border-bottom: 1px solid #dddddd;
}

.table_mod tbody th {
  line-height: 40px;
}

.table_mod tbody td {
  line-height: 40px;
  padding: 0 10px;
}

.table_mod tbody tr:nth-of-type(even) {
  background-color: #f3f3f3;
}

/* profil */

.chat_profil {
  width: 90%;
  min-height: auto;
  max-width: 100%;
  background: #fff;
  border-radius: 8px;
  margin: 10px auto;
  width: 50%;
}

.update_image {
  position: absolute;
  right: 5%;
  bottom: 5%;
  transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  border-radius: 50%;
  color: #fff;
  background-color: #1f2937;
  height: 30px;
  width: 30px;
  line-height: 28px;
  text-align: center;
  font-size: 12px;
  cursor: pointer;
}

/* pour le detailes des biens */
.mod_bod {
  padding: 10px;
  width: 100%;
}
.informations {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 10px;
  margin: 10px 0;
}
.mbi {
  width: 650px;
}
.img_bien img {
  width: 100%;
  height: 500px;
  border-radius: 0.5rem;
}
.details_biens {
  word-wrap: break-word;
  background-color: #ffffff;
  background-clip: border-box;
  border: 0.0625rem solid rgba(17, 24, 39, 0.125);
  border-radius: 0.5rem;
}

.details_biens_cont {
  padding: 1.25rem 1.5rem;
}

.group_1 {
  display: flex;
  align-items: center;
  margin-top: 10px;
}
.card-title {
  font-size: 20px;
}
.card-text {
  margin-bottom: 0.7rem;
  font-size: 16px;
}
.card-title span {
  font-size: 18px;
}
.btn_fermer {
  background-color: goldenrod;
  padding: 5px 15px;
  border-radius: 7px;
  border: 0;
  color: #fff;
}

/* pour le wizard */
.form-wizard {
  color: #888888;
}
.form-wizard .form-group {
  position: relative;
  margin: 25px 0;
}
.form-wizard .wizard-form-text-label {
  color: goldenrod;
  transition: 0.2s linear all;
}
.form-wizard .wizard-form-error {
  display: none;
  background-color: #d70b0b;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 2px;
  width: 100%;
}
.form-wizard .form-wizard-steps {
  margin: 30px 0;
}

.list-unstyled {
  padding-left: 0;
  list-style: none;
}

.form-wizard .form-wizard-steps li {
  width: 25%;
  float: left;
  position: relative;
}

p,
ol li,
ul li,
.p {
  font-family: "Inter", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.6;
}

.form-wizard-steps li.active span,
.form-wizard-steps li.activated span {
  background-color: goldenrod;
  color: #ffffff;
}

.form-wizard-steps li {
  width: 25%;
  float: left;
  position: relative;
}
.form-wizard-steps li span {
  background-color: #dddddd;
  border-radius: 50%;
  display: inline-block;
  height: 40px;
  line-height: 40px;
  position: relative;
  text-align: center;
  width: 40px;
  z-index: 1;
}
.form-wizard-steps li.active::after {
  background-color: goldenrod;
  left: 50%;
  width: 50%;
  border-color: goldenrod;
}

.form-wizard-steps li::after {
  background-color: #f3f3f3;
  content: "";
  height: 5px;
  left: 0;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  border-bottom: 1px solid #dddddd;
  border-top: 1px solid #dddddd;
}
.form-wizard-steps li:last-child::after {
  left: 0;
}
.form-wizard-steps li:last-child::after {
  width: 50%;
}

.form-wizard .form-control {
  font-weight: 300;
  height: auto !important;
  padding: 15px;
  color: #888888;
  background-color: #f1f1f1;
  border: none;
}
.btn_suivant {
  background-color: goldenrod;
}
.btn_suivant:hover {
  background-color: rgba(218, 165, 32, 0.629);
}
.btn_suivant,
.btn_precedent {
  color: #ffffff;
  padding: 10px 20px;
  border-radius: 7px;
  border: 0;
}
.btn_precedent {
  background-color: #1f2937;
}
.btn_precedent:hover {
  background-color: #1f29379e;
}
.wiz_pad {
  padding-right: 1.5rem;
}

.icon_img_pub {
  width: 40px;
  height: 40px;
}
.img_service {
  width: 40px;
  height: 40px;
}
.rech_faq {
  display: flex;
  justify-content: end;
}

.dropup span {
  font-size: 1.5rem;
}

/* pour faire zoomer les img */

.big {
  transform: scale(5);
  cursor: zoom-out;
}
